Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FunctionsSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.FunctionsSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functionsSearch.search();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/functions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"functionTypes": [],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"sortOptions": {
"descending": true,
"orderBy": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/functions"
payload = {
"functionTypes": [],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"sortOptions": {
"descending": True,
"orderBy": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
functionTypes: [],
pageSize: 123,
pageToken: '<string>',
query: '<string>',
sortOptions: {descending: true, orderBy: '<string>'}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"browserEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"functionType": "FUNCTION_TYPE_UNSPECIFIED",
"head": "<string>",
"hookRefs": [
"<string>"
],
"id": "<string>",
"isDraft": true,
"outboundNetworkAllowlist": [
"<string>"
],
"provisionedConcurrency": 123,
"publishedCommitId": "<string>",
"scopedRoleIds": [
"<string>"
],
"secret": {},
"updatedAt": "2023-11-07T05:31:56Z",
"useSpn": true,
"workflowTemplateRefs": [
"<string>"
]
}
],
"nextPageToken": "<string>"
}Function
Search
Search searches for functions based on criteria
POST
/
api
/
v1
/
search
/
functions
Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FunctionsSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.FunctionsSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functionsSearch.search();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The FunctionsSearchRequest message.
The functionTypes field.
Available options:
FUNCTION_TYPE_UNSPECIFIED, FUNCTION_TYPE_ANY, FUNCTION_TYPE_CODE_MODE, FUNCTION_TYPE_CONNECTOR The pageSize field.
The pageToken field.
The query field.
The SortOptions message.
Show child attributes
Show child attributes
Was this page helpful?